Bug 430496 - Swithcing virtual display when running nxclient crashes X server
Swithcing virtual display when running nxclient crashes X server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vmware (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 09:29 EST by Chris Underhill
Modified: 2009-01-09 02:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:37:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Zip file of the Xorg.0.log files (15.47 KB, application/zip)
2008-01-28 09:29 EST, Chris Underhill
no flags Details
Xorg.0.log for centos5 (21.72 KB, text/plain)
2008-01-31 12:56 EST, Matěj Cepl
no flags Details
Xorg.0.log for fedora7 (33.50 KB, text/plain)
2008-01-31 12:56 EST, Matěj Cepl
no flags Details
Xorg.0.log for fedora8 (29.96 KB, text/plain)
2008-01-31 12:56 EST, Matěj Cepl
no flags Details

  None (edit)
Description Chris Underhill 2008-01-28 09:29:08 EST
Description of problem:

X server crashes when switching out of a virtual display running No Machine's
free nx client (nxclient-3.1.0-2.i386)

Version-Release number of selected component (if applicable):

All latest versions as at reporting date.

How reproducible:

Every time.

Steps to Reproduce:

1. Fire up nxclient in a virtual display
2. Switch to another virtual display
3. X server crashes with signal 11
  
Actual results:

X server crashes, gdm logon screen appears.

Expected results:

Virtual displau switched

Additional info:

I can reproduce this on 3 machines:

1) Fedora 7 workstation, 3 monitors, NVidia driver (64 bit AMD)
2) Fedora 8 running under VMWare on a Windows XP laptop (32 bit i386)
3) Centos 5.1 workstation, 2 monitors, NVidia driver (32 bit i386)

This has been reported elsewhere:

http://forums.fedoraforum.org/showthread.php?p=932469
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/165093
http://lists.debian.org/debian-amd64/2006/12/msg00047.html
Comment 1 Chris Underhill 2008-01-28 09:29:08 EST
Created attachment 293156 [details]
Zip file of the Xorg.0.log files
Comment 2 Matěj Cepl 2008-01-31 12:56:15 EST
Created attachment 293611 [details]
Xorg.0.log for centos5
Comment 3 Matěj Cepl 2008-01-31 12:56:24 EST
Created attachment 293612 [details]
Xorg.0.log for fedora7
Comment 4 Matěj Cepl 2008-01-31 12:56:31 EST
Created attachment 293613 [details]
Xorg.0.log for fedora8
Comment 5 Bug Zapper 2008-11-26 04:35:57 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 02:37:46 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.